# Don't provide plugin .so
%define _exclude_files_from_autoprov %{_libdir}/xfce4/panel/plugins/.*\\.so

%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major		4
%define api		1.0
%define libname		%mklibname xfce4panel %{api} %{major}

%define gtk3api         2.0
%define gtk3libname	%mklibname xfce4panel %{gtk3api} %{major}

%define devname		%mklibname xfce4panel %{api} -d
%define gtk3devname	%mklibname xfce4panel %{gtk3api} -d

Summary:	A Xfce panel
Name:		xfce4-panel
Version:	4.12.1
Release:	%mkrel 1
License:	GPLv2+ and CC-BY-SA
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/xfce4-panel/%{url_ver}/%{name}-%{version}.tar.bz2
# From cheser-icon-theme, licensed under CC BY-SA 3.0
Source1:	xfce4-clock.png
Patch0000:	xfce4-panel-4.10.1-dm-tool-support.patch
Patch0001:	0001-Workaround-for-changes-in-GTK-3.19.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(garcon-gtk2-1)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(exo-1)
BuildRequires:	pkgconfig(libwnck-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
Requires:	desktop-common-data
Requires:	%{_real_vendor}-xfce-config

# obsolete old plugins that don't work with xfce 4.8
Obsoletes:	xfce4-volstatus-icon < 0.1.0-15
Obsoletes:	xfce4-xfapplet-plugin < 0.1.0-15

# integrated since 4.10 to xfce4-panel's action plugin
Obsoletes:	xfswitch-plugin

%description
The Xfce 4 Panel supports multiple panels, with many options
for their position, appearance, transparency and behavior.
There are many items available by default to full fit a panel,
like application launchers with detachable menus, a graphical pager,
a tasklist, a clock, a system tray, a show/hide desktop switcher,
and even more. It offers an easy way to add items using a dialog,
and to move items accross different panels.

%package -n %{libname}
Summary:	Panel library for the Xfce desktop environment
Group:		Graphical desktop/Xfce
Obsoletes:	%{_lib}xfce4panel3 < 4.8.6

%description -n %{libname}
Panel library for the Xfce desktop environment.

%package -n %{gtk3libname}
Summary:        Panel library (GTK3 version) for the Xfce desktop environment
Group:          Graphical desktop/Xfce

%description -n %{gtk3libname}
Panel library (GTK3 version) for the Xfce desktop environment.

%package -n %{devname}
Summary:	Libraries and header files for the %{name} library
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gtk3libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}xfce4panel-devel < 4.12.0-2

%description -n %{devname}
Libraries and header files for the %{name} library.

%package -n %{gtk3devname}
Summary:	Libraries and header files for the %{name} library (GTK3 version)
Group:		Development/Other
Requires:	%{gtk3libname} = %{version}-%{release}
Conflicts:	%{_lib}xfce4panel-devel < 4.12.0-2

%description -n %{gtk3devname}
Libraries and header files for the %{name} (GTK3 version) library.

%prep
%setup -q
%autopatch -p1

# fix deprecated stock icon
sed -i -e 's|\(Icon=\).*|\1list-remove|' plugins/separator/separator.desktop.in.in

# fix icon
sed -i -e 's|\(Icon=\).*|\1xfce4-clock|' plugins/clock/clock.desktop.in.in

%build
%configure2_5x \
	--disable-static \
	--enable-gtk3
%make

%install
%makeinstall_std

# install clock icon
install -Dpm644 %{_sourcedir}/xfce4-clock.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/xfce4-clock.png

# (tpg) this file is in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/panel/*

%find_lang %{name}

# don't ship .la
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc README AUTHORS NEWS ChangeLog
%dir %{_sysconfdir}/xdg/xfce4/panel
%dir %{_libdir}/xfce4/panel
%dir %{_libdir}/xfce4/panel/plugins
%dir %{_datadir}/xfce4/panel
%dir %{_datadir}/xfce4/panel/plugins
%{_bindir}/*
%{_libdir}/xfce4/panel/plugins/*
%{_datadir}/xfce4/panel/plugins/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/xfce4-panel*
%{_iconsdir}/hicolor/*/apps/xfce4-clock.png
%{_libdir}/xfce4/panel/migrate
%{_libdir}/xfce4/panel/wrapper-*

%files -n %{libname}
%{_libdir}/libxfce4panel-%{api}.so.%{major}{,.*}

%files -n %{gtk3libname}
%{_libdir}/libxfce4panel-%{gtk3api}.so.%{major}{,.*}

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/libxfce4panel-%{api}/
%{_libdir}/libxfce4panel-%{api}.so
%{_libdir}/pkgconfig/libxfce4panel-%{api}.pc
%{_includedir}/xfce4/libxfce4panel-%{api}/

%files -n %{gtk3devname}
#doc %{_datadir}/gtk-doc/html/libxfce4panel-%{gtk3api}/
%{_libdir}/libxfce4panel-%{gtk3api}.so
%{_libdir}/pkgconfig/libxfce4panel-%{gtk3api}.pc
%{_includedir}/xfce4/libxfce4panel-%{gtk3api}/


%changelog
* Wed Oct 26 2016 wally <wally> 4.12.1-1.mga6
+ Revision: 1063672
- version 4.12.1

* Sun Dec 06 2015 wally <wally> 4.12.0-3.mga6
+ Revision: 908566
- add patch to fix $HOME/.xsession-errors flooding and high CPU usage after GTK+3.19 udate

* Sun Jun 21 2015 wally <wally> 4.12.0-2.mga6
+ Revision: 837654
- split out the gtk3 devel pkg
- remove old conflicts/obsoletes

* Tue Mar 03 2015 wally <wally> 4.12.0-1.mga5
+ Revision: 817394
- new version 4.12.0
- drop patches from upstream

* Tue Jan 27 2015 wally <wally> 4.11.1-6.mga5
+ Revision: 812454
- use xfce4-clock icon from cheser-icon-theme as clock applet icon

* Mon Jan 26 2015 wally <wally> 4.11.1-5.mga5
+ Revision: 812358
- fix separator icon in preferences etc.

* Thu Nov 27 2014 wally <wally> 4.11.1-4.mga5
+ Revision: 799536
- add patch from upstream git to fix session being always saved when using panel action logout button (xfce#7930)

* Wed Oct 15 2014 umeabot <umeabot> 4.11.1-3.mga5
+ Revision: 745649
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.11.1-2.mga5
+ Revision: 690623
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 wally <wally> 4.11.1-1.mga5
+ Revision: 638859
- new version 4.11.1

* Sun Feb 16 2014 wally <wally> 4.11.0-1.mga5
+ Revision: 592617
- new version 4.11.0
- enable GTK3 support
- exclude plugin .so from provides

* Tue Feb 04 2014 wally <wally> 4.10.1-3.mga5
+ Revision: 581665
- add patch to add dm-tool support to user switch panel action

* Sat Oct 19 2013 umeabot <umeabot> 4.10.1-2.mga4
+ Revision: 523551
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 4.10.1-1.mga4
+ Revision: 425069
- new version 4.10.1
- drop patches from upstream

* Fri Apr 05 2013 wally <wally> 4.10.0-5.mga3
+ Revision: 408353
- add patch from upstream git to fix icon/pixbuf resizing

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-4.mga3
+ Revision: 386859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 wally <wally> 4.10.0-3.mga3
+ Revision: 324116
- obsolete xfswitch-plugin which is integrated to xfce4-panel's action plugin

* Wed Jul 18 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 272335
- fix requires after mageia-xfce-config packaging change

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248461
- new version 4.10.0
- new major 4
- clean .spec

* Tue Jan 03 2012 wally <wally> 4.9.0-1.mga2
+ Revision: 190020
- new version 4.9.0
- clean BRs
- don't own system icon dirs
- don't regenerate gtk docs
- clean .spec a bit

* Sat Sep 24 2011 wally <wally> 4.8.6-1.mga2
+ Revision: 147298
- new version 4.8.6
- fix libification
- move some doc files to devel pkg
- clean .spec a bit

* Fri Jun 24 2011 ahmad <ahmad> 4.8.5-1.mga2
+ Revision: 113173
- Update to 4.8.5

* Tue Jun 21 2011 ahmad <ahmad> 4.8.4-1.mga2
+ Revision: 111166
- Update to 4.8.4

* Wed Apr 13 2011 ahmad <ahmad> 4.8.3-1.mga1
+ Revision: 84456
- update to 4.8.3
- bump some BR versions

* Sat Apr 02 2011 ahmad <ahmad> 4.8.2-1.mga1
+ Revision: 79737
- update to 4.8.2
- obsolete xfce4-volstatus-icon and xfce4-xfapplet-plugin, both are unmaintained
  upstream and hasn't been ported to XFCE 4.8 (confirmed by looking at upstream git
  logs and Fedora)

* Thu Feb 17 2011 ahmad <ahmad> 4.8.1-1.mga1
+ Revision: 53274
- update to 4.8.1

* Thu Jan 27 2011 ahmad <ahmad> 4.8.0-1.mga1
+ Revision: 41638
- change requires to mageia-xfce-config-common
- don't ship .a, .la
- imported package xfce4-panel

